Package writer2latex.latex

# Class BlockConverter

java.lang.Object
writer2latex.latex.BlockConverter

public class BlockConverter extends Object
This class handles basic block content, such as the main text body, sections, tables, lists, headings and paragraphs.

## Constructor Summary

Constructors
Constructor
Description
`BlockConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`traverseBlockText(Element node, LaTeXDocumentPortion ldp, Context oc)`
Traverse block text (eg. content of body, section, list item).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockConverter

public BlockConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### traverseBlockText

public void traverseBlockText(Element node, LaTeXDocumentPortion ldp, Context oc)

Traverse block text (eg. content of body, section, list item). This is traversed in logical order and dedicated handlers take care of each block element.

(Note: As a rule, all handling of block level elements should add a newline to the LaTeX document at the end of the block)

Parameters:
  `node` - The element containing the block text
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context